#ifndef FLE_LOCALE_H
#define FLE_LOCALE_H

#ifndef _WIN32

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <locale.h>

#define ENABLE_NLS 1

#ifdef ENABLE_NLS
#    include <libintl.h>
#    define _(String) gettext (String)
#    ifdef gettext_noop
#        define N_(String) gettext_noop (String)
#    else
#        define N_(String) (String)
#    endif
#else
/* Stubs that do something close enough.  */
#    define textdomain(String) (String)
#    define gettext(String) (String)
#    define dgettext(Domain,Message) (Message)
#    define dcgettext(Domain,Message,Type) (Message)
#    define bindtextdomain(Domain,Directory) (Domain)
#    define _(String) (String)
#    define N_(String) (String)
#endif

void fle_init_locale_support(const char *, const char *);

#endif //_WIN32

#endif


